Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.context.servlet
Class ServletFacesContextImpl

    java.lang.Object
      javax.faces.context.FacesContext
          org.apache.myfaces.context.servlet.ServletFacesContextImpl

public class ServletFacesContextImpl
extends javax.faces.context.FacesContext

Version:
  $Revision: 278654 $ $Date: 2005-09-04 20:32:35 -0400 (Sun, 04 Sep 2005) $
Author:
  Manfred Geiler (latest modification by $Author: oros $), Anton Koinov

Constructor Summary
`ServletFacesContextImpl(javax.portlet.PortletContext portletContext, javax.portlet.PortletRequest portletRequest, javax.portlet.PortletResponse portletResponse)`
`ServletFacesContextImpl(javax.servlet.ServletContext servletContext, javax.servlet.ServletRequest servletRequest, javax.servlet.ServletResponse servletResponse)`

Method Summary
`void` | `addMessage(java.lang.String clientId, javax.faces.application.FacesMessage message)`
`javax.faces.application.Application` | `getApplication()`
`java.util.Iterator` | `getClientIdsWithMessages()`
`javax.faces.context.ExternalContext` | `getExternalContext()`
`javax.faces.application.FacesMessage.Severity` | `getMaximumSeverity()`
`java.util.Iterator` | `getMessages()`
`java.util.Iterator` | `getMessages(java.lang.String clientId)`
`javax.faces.render.RenderKit` | `getRenderKit()`
`boolean` | `getRenderResponse()`
`boolean` | `getResponseComplete()`
`javax.faces.context.ResponseStream` | `getResponseStream()`
`javax.faces.context.ResponseWriter` | `getResponseWriter()`
`javax.faces.component.UIViewRoot` | `getViewRoot()`
`void` | `release()`
`void` | `renderResponse()`
`void` | `responseComplete()`
`void` | `setExternalContext(ReleaseableExternalContext extContext)`
`void` | `setResponseStream(javax.faces.context.ResponseStream responseStream)`
`void` | `setResponseWriter(javax.faces.context.ResponseWriter responseWriter)`
`void` | `setViewRoot(javax.faces.component.UIViewRoot viewRoot)`

Methods inherited from class javax.faces.context.FacesContext
`getCurrentInstance, setCurrentInstance`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServletFacesContextImpl

    public ServletFacesContextImpl(javax.portlet.PortletContext portletContext,
                                   javax.portlet.PortletRequest portletRequest,
                                   javax.portlet.PortletResponse portletResponse)

### ServletFacesContextImpl

    public ServletFacesContextImpl(javax.servlet.ServletContext servletContext,
                                   javax.servlet.ServletRequest servletRequest,
                                   javax.servlet.ServletResponse servletResponse)

Method Detail

### getExternalContext

    public javax.faces.context.ExternalContext getExternalContext()

### getMaximumSeverity

    public javax.faces.application.FacesMessage.Severity getMaximumSeverity()

### getMessages

    public java.util.Iterator getMessages()

### getApplication

    public javax.faces.application.Application getApplication()

### getClientIdsWithMessages

    public java.util.Iterator getClientIdsWithMessages()

### getMessages

    public java.util.Iterator getMessages(java.lang.String clientId)

### getRenderKit

    public javax.faces.render.RenderKit getRenderKit()

### getRenderResponse

    public boolean getRenderResponse()

### getResponseComplete

    public boolean getResponseComplete()

### setResponseStream

    public void setResponseStream(javax.faces.context.ResponseStream responseStream)

### getResponseStream

    public javax.faces.context.ResponseStream getResponseStream()

### setResponseWriter

    public void setResponseWriter(javax.faces.context.ResponseWriter responseWriter)

### getResponseWriter

    public javax.faces.context.ResponseWriter getResponseWriter()

### setViewRoot

    public void setViewRoot(javax.faces.component.UIViewRoot viewRoot)

### getViewRoot

    public javax.faces.component.UIViewRoot getViewRoot()

### addMessage

    public void addMessage(java.lang.String clientId,
                           javax.faces.application.FacesMessage message)

### release

    public void release()

### renderResponse

    public void renderResponse()

### responseComplete

    public void responseComplete()

### setExternalContext

    public void setExternalContext(ReleaseableExternalContext extContext)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD